ONVIF::Analytics::Types::FindPTZPositionResultList(3pm)

NAME
ONVIF::Analytics::Types::FindPTZPositionResultList

DESCRIPTION
Perl data type class for the XML Schema defined complexType FindPTZPositionResultList from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   SearchState

•   Result

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Analytics::Types::FindPTZPositionResultList
   SearchState => $some_value, # SearchState
   Result =>  { # ONVIF::Analytics::Types::FindPTZPositionResult
     RecordingToken => $some_value, # RecordingReference
     TrackToken => $some_value, # TrackReference
     Time =>  $some_value, # dateTime
     Position =>  { # ONVIF::Analytics::Types::PTZVector
       PanTilt => ,
       Zoom => ,
     },
   },
 },

AUTHOR
Generated by SOAP::WSDL